import { AppsListClass } from '../../components/descope-apps-list/AppsListClass';
import { getThemeRefs } from '../../helpers/themeHelpers';
import globals from '../globals';

export const vars = AppsListClass.cssVarList;
const globalRefs = getThemeRefs(globals);

const defaultHeight = '400px';

const appsList = {
  [vars.itemsFontWeight]: 'normal',
  [vars.itemsTextAlign]: 'start',
  [vars.hostDirection]: globalRefs.direction,
  [vars.maxHeight]: defaultHeight,

  _empty: {
    [vars.minHeight]: defaultHeight,
  },

  size: {
    xs: {
      [vars.itemsFontSize]: '14px',
    },
    sm: {
      [vars.itemsFontSize]: '14px',
    },
    md: {
      [vars.itemsFontSize]: '16px',
    },
    lg: {
      [vars.itemsFontSize]: '20px',
    },
  },
};

export default appsList;
