import globals from '../../globals';
import { getThemeRefs } from '../../../helpers/themeHelpers';
import { ListItemClass } from '../../../components/descope-list/ListItemClass';

const globalRefs = getThemeRefs(globals);

export const vars = ListItemClass.cssVarList;

const list = {
  [vars.backgroundColor]: globalRefs.colors.surface.main,
  [vars.padding]: globalRefs.spacing.lg,
  [vars.gap]: globalRefs.spacing.md,
  [vars.borderStyle]: 'solid',
  [vars.borderWidth]: globalRefs.border.xs,
  [vars.borderColor]: globalRefs.colors.surface.main,
  [vars.borderRadius]: globalRefs.radius.sm,
  [vars.cursor]: 'pointer',
  [vars.alignItems]: 'center',
  [vars.flexDirection]: 'row',
  [vars.transition]: 'border-color 0.2s, background-color 0.2s',

  variant: {
    tile: {
      [vars.alignItems]: 'flex-start',
      [vars.flexDirection]: 'column',
      [vars.borderColor]: globalRefs.colors.surface.light,
    },
  },

  _hover: {
    [vars.backgroundColor]: globalRefs.colors.surface.highlight,
  },

  _active: {
    [vars.backgroundColor]: globalRefs.colors.surface.main,
    [vars.borderColor]: globalRefs.colors.primary.light,
    [vars.outline]: `1px solid ${globalRefs.colors.primary.light}`,
  },
};

export default list;
